diff -ruN russian/xneur.orig/Makefile russian/xneur/Makefile
--- russian/xneur.orig/Makefile	2008-03-22 11:55:36.000000000 +0300
+++ russian/xneur/Makefile	2008-11-05 10:48:54.000000000 +0300
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	xneur
-PORTVERSION=	0.6.2
-PORTREVISION=	1
+PORTVERSION=	0.9.2
 CATEGORIES=	russian
 MASTER_SITES=	http://dists.xneur.ru/release-${DISTVERSION}/tgz/ CENKES
 
@@ -15,22 +14,27 @@
 COMMENT=	Auto keyboard switcher
 
 LIB_DEPENDS=	pcre.0:${PORTSDIR}/devel/pcre
+LIB_DEPENDS+=	aspell:${PORTSDIR}/textproc/aspell
 
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--disable-static --libdir=${PREFIX}/lib/xneur
 USE_BZIP2=	yes
 USE_XORG=	x11 xpm
 USE_LDCONFIG=	yes
+USE_GSTREAMER=	yes
 MAKE_ARGS=	pkgconfigdir=${PREFIX}/libdata/pkgconfig
+#DATADIR=	${SHAREDIR}/${PORTNAME}
+MAN1=		xneur.1
+MAN5=		xneurrc.5
 
 post-patch:
 	@${REINPLACE_CMD} -e '/^CFLAGS=/s|="|="$$CFLAGS |' ${WRKSRC}/configure
 	@${REINPLACE_CMD} -e '/^am__strip_dir/s#`;#|sed -Ee \
-		"s/^(dict.dist|proto|proto3|langdef|regexp|xneurrc|xneurrc-be|xneurrc-uk|xneurrc-fr|xneurrc-ro|dict)$$$$/\\1.dist/"`;#' \
-		${WRKSRC}/etc/Makefile.in ${WRKSRC}/etc/*/Makefile.in
+		"s/^(dict.dist|proto|proto3|langdef|regexp|xneurrc|xneurrc-be|xneurrc-uk|xneurrc-fr|xneurrc-ro|xneurrc-de|xneurrc-kz|dict)$$$$/\\1.dist/"`;#' \
+		${WRKSRC}/etc/Makefile.in ${WRKSRC}/etc/Makefile.am
 
 post-install:
-	@for i in ${PREFIX}/etc/xneur/*.dist ${PREFIX}/etc/xneur/*/*.dist;\
+	@for i in ${PREFIX}/etc/xneur/*.dist ;\
 		do ${CP} -np $$i $${i%.dist}; done
 
 .include <bsd.port.pre.mk>
diff -ruN russian/xneur.orig/distinfo russian/xneur/distinfo
--- russian/xneur.orig/distinfo	2007-08-20 20:12:47.000000000 +0400
+++ russian/xneur/distinfo	2008-11-05 08:39:12.000000000 +0300
@@ -1,3 +1,3 @@
-MD5 (xneur-0.6.2.tar.bz2) = 015c780c415ce3d4e40a82799d239635
-SHA256 (xneur-0.6.2.tar.bz2) = bf59bd2f0eaf77e62ec9db341f8c8e903e74efde7aa5ea9d2d4d56a666033be3
-SIZE (xneur-0.6.2.tar.bz2) = 393627
+MD5 (xneur-0.9.2.tar.bz2) = c33c1a7e2a0b467c885cdbe27fa859b4
+SHA256 (xneur-0.9.2.tar.bz2) = 5882ecdccc41d0e89a15cbd5535cf3f046e1fb28b3d69f8542d80ad47a1c61fe
+SIZE (xneur-0.9.2.tar.bz2) = 587476
diff -ruN russian/xneur.orig/pkg-plist russian/xneur/pkg-plist
--- russian/xneur.orig/pkg-plist	2007-08-20 20:12:47.000000000 +0400
+++ russian/xneur/pkg-plist	2008-11-05 11:10:34.000000000 +0300
@@ -1,92 +1,10 @@
 bin/xneur
-@unexec if cmp -s %D/etc/xneur/en/dict %D/etc/xneur/en/dict.dist; then rm -f %D/etc/xneur/en/dict; fi
-etc/xneur/en/dict.dist
-@exec	if [ ! -f %D/etc/xneur/en/dict ] ; then cp -p %D/%F %B/dict; fi
-@unexec if cmp -s %D/etc/xneur/en/langdef %D/etc/xneur/en/langdef.dist; then rm -f %D/etc/xneur/en/langdef; fi
-etc/xneur/en/langdef.dist
-@exec   if [ ! -f %D/etc/xneur/en/langdef ] ; then cp -p %D/%F %B/langdef; fi
-@unexec if cmp -s %D/etc/xneur/en/proto %D/etc/xneur/en/proto.dist; then rm -f %D/etc/xneur/en/proto; fi
-etc/xneur/en/proto.dist
-@exec   if [ ! -f %D/etc/xneur/en/proto ] ; then cp -p %D/%F %B/proto; fi
-@unexec if cmp -s %D/etc/xneur/en/proto3 %D/etc/xneur/en/proto3.dist; then rm -f %D/etc/xneur/en/proto3; fi
-etc/xneur/en/proto3.dist
-@exec   if [ ! -f %D/etc/xneur/en/proto3 ] ; then cp -p %D/%F %B/proto3; fi
-@unexec if cmp -s %D/etc/xneur/en/regexp %D/etc/xneur/en/regexp.dist; then rm -f %D/etc/xneur/en/regexp; fi
-etc/xneur/en/regexp.dist
-@exec   if [ ! -f %D/etc/xneur/en/regexp ] ; then cp -p %D/%F %B/regexp; fi
-@unexec if cmp -s %D/etc/xneur/ru/dict %D/etc/xneur/ru/dict.dist; then rm -f %D/etc/xneur/ru/dict; fi
-etc/xneur/ru/dict.dist
-@exec   if [ ! -f %D/etc/xneur/ru/dict ] ; then cp -p %D/%F %B/dict; fi
-@unexec if cmp -s %D/etc/xneur/ru/langdef %D/etc/xneur/ru/langdef.dist; then rm -f %D/etc/xneur/ru/langdef; fi
-etc/xneur/ru/langdef.dist
-@exec   if [ ! -f %D/etc/xneur/ru/langdef ] ; then cp -p %D/%F %B/langdef; fi
-@unexec if cmp -s %D/etc/xneur/ru/proto %D/etc/xneur/ru/proto.dist; then rm -f %D/etc/xneur/ru/proto; fi
-etc/xneur/ru/proto.dist
-@exec   if [ ! -f %D/etc/xneur/ru/proto ] ; then cp -p %D/%F %B/proto; fi
-@unexec if cmp -s %D/etc/xneur/ru/proto3 %D/etc/xneur/ru/proto3.dist; then rm -f %D/etc/xneur/ru/proto3; fi
-etc/xneur/ru/proto3.dist
-@exec   if [ ! -f %D/etc/xneur/ru/proto3 ] ; then cp -p %D/%F %B/proto3; fi
-@unexec if cmp -s %D/etc/xneur/ru/regexp %D/etc/xneur/ru/regexp.dist; then rm -f %D/etc/xneur/ru/regexp; fi
-etc/xneur/ru/regexp.dist
-@exec   if [ ! -f %D/etc/xneur/ru/regexp ] ; then cp -p %D/%F %B/regexp; fi
-@unexec if cmp -s %D/etc/xneur/fr/dict %D/etc/xneur/fr/dict.dist; then rm -f %D/etc/xneur/fr/dict; fi
-etc/xneur/fr/dict.dist
-@exec   if [ ! -f %D/etc/xneur/fr/dict ] ; then cp -p %D/%F %B/dict; fi
-@unexec if cmp -s %D/etc/xneur/fr/langdef %D/etc/xneur/fr/langdef.dist; then rm -f %D/etc/xneur/fr/langdef; fi
-etc/xneur/fr/langdef.dist
-@exec   if [ ! -f %D/etc/xneur/fr/langdef ] ; then cp -p %D/%F %B/langdef; fi
-@unexec if cmp -s %D/etc/xneur/fr/proto %D/etc/xneur/fr/proto.dist; then rm -f %D/etc/xneur/fr/proto; fi
-etc/xneur/fr/proto.dist
-@exec   if [ ! -f %D/etc/xneur/fr/proto ] ; then cp -p %D/%F %B/proto; fi
-@unexec if cmp -s %D/etc/xneur/fr/proto3 %D/etc/xneur/fr/proto3.dist; then rm -f %D/etc/xneur/fr/proto3; fi
-etc/xneur/fr/proto3.dist
-@exec   if [ ! -f %D/etc/xneur/fr/proto3 ] ; then cp -p %D/%F %B/proto3; fi
-@unexec if cmp -s %D/etc/xneur/fr/regexp %D/etc/xneur/fr/regexp.dist; then rm -f %D/etc/xneur/fr/regexp; fi
-etc/xneur/fr/regexp.dist
-@unexec if cmp -s %D/etc/xneur/ro/dict %D/etc/xneur/ro/dict.dist; then rm -f %D/etc/xneur/ro/dict; fi
-etc/xneur/ro/dict.dist
-@exec   if [ ! -f %D/etc/xneur/ro/dict ] ; then cp -p %D/%F %B/dict; fi
-@unexec if cmp -s %D/etc/xneur/ro/langdef %D/etc/xneur/ro/langdef.dist; then rm -f %D/etc/xneur/ro/langdef; fi
-etc/xneur/ro/langdef.dist
-@exec   if [ ! -f %D/etc/xneur/ro/langdef ] ; then cp -p %D/%F %B/langdef; fi
-@unexec if cmp -s %D/etc/xneur/ro/proto %D/etc/xneur/ro/proto.dist; then rm -f %D/etc/xneur/ro/proto; fi
-etc/xneur/ro/proto.dist
-@exec   if [ ! -f %D/etc/xneur/ro/proto ] ; then cp -p %D/%F %B/proto; fi
-@unexec if cmp -s %D/etc/xneur/ro/proto3 %D/etc/xneur/ro/proto3.dist; then rm -f %D/etc/xneur/ro/proto3; fi
-etc/xneur/ro/proto3.dist
-@exec   if [ ! -f %D/etc/xneur/ro/proto3 ] ; then cp -p %D/%F %B/proto3; fi
-@unexec if cmp -s %D/etc/xneur/ro/regexp %D/etc/xneur/ro/regexp.dist; then rm -f %D/etc/xneur/ro/regexp; fi
-etc/xneur/ro/regexp.dist
-@unexec if cmp -s %D/etc/xneur/uk/dict %D/etc/xneur/uk/dict.dist; then rm -f %D/etc/xneur/uk/dict; fi
-etc/xneur/uk/dict.dist
-@exec   if [ ! -f %D/etc/xneur/uk/dict ] ; then cp -p %D/%F %B/dict; fi
-@unexec if cmp -s %D/etc/xneur/uk/langdef %D/etc/xneur/uk/langdef.dist; then rm -f %D/etc/xneur/uk/langdef; fi
-etc/xneur/uk/langdef.dist
-@exec   if [ ! -f %D/etc/xneur/uk/langdef ] ; then cp -p %D/%F %B/langdef; fi
-@unexec if cmp -s %D/etc/xneur/uk/proto %D/etc/xneur/uk/proto.dist; then rm -f %D/etc/xneur/uk/proto; fi
-etc/xneur/uk/proto.dist
-@exec   if [ ! -f %D/etc/xneur/uk/proto ] ; then cp -p %D/%F %B/proto; fi
-@unexec if cmp -s %D/etc/xneur/uk/proto3 %D/etc/xneur/uk/proto3.dist; then rm -f %D/etc/xneur/uk/proto3; fi
-etc/xneur/uk/proto3.dist
-@exec   if [ ! -f %D/etc/xneur/uk/proto3 ] ; then cp -p %D/%F %B/proto3; fi
-@unexec if cmp -s %D/etc/xneur/uk/regexp %D/etc/xneur/uk/regexp.dist; then rm -f %D/etc/xneur/uk/regexp; fi
-etc/xneur/uk/regexp.dist
-@exec   if [ ! -f %D/etc/xneur/uk/regexp ] ; then cp -p %D/%F %B/regexp; fi
-@unexec if cmp -s %D/etc/xneur/be/dict %D/etc/xneur/be/dict.dist; then rm -f %D/etc/xneur/be/dict; fi
-etc/xneur/be/dict.dist
-@exec   if [ ! -f %D/etc/xneur/be/dict ] ; then cp -p %D/%F %B/dict; fi
-@unexec if cmp -s %D/etc/xneur/be/langdef %D/etc/xneur/be/langdef.dist; then rm -f %D/etc/xneur/be/langdef; fi
-etc/xneur/be/langdef.dist
-@exec   if [ ! -f %D/etc/xneur/be/langdef ] ; then cp -p %D/%F %B/langdef; fi
-@unexec if cmp -s %D/etc/xneur/be/proto %D/etc/xneur/be/proto.dist; then rm -f %D/etc/xneur/be/proto; fi
-etc/xneur/be/proto.dist
-@exec   if [ ! -f %D/etc/xneur/be/proto ] ; then cp -p %D/%F %B/proto; fi
-@unexec if cmp -s %D/etc/xneur/be/proto3 %D/etc/xneur/be/proto3.dist; then rm -f %D/etc/xneur/be/proto3; fi
-etc/xneur/be/proto3.dist
-@exec   if [ ! -f %D/etc/xneur/be/proto3 ] ; then cp -p %D/%F %B/proto3; fi
-@unexec if cmp -s %D/etc/xneur/be/regexp %D/etc/xneur/be/regexp.dist; then rm -f %D/etc/xneur/be/regexp; fi
-etc/xneur/be/regexp.dist
-@exec   if [ ! -f %D/etc/xneur/be/regexp ] ; then cp -p %D/%F %B/regexp; fi
+@unexec if cmp -s %D/etc/xneur/xneurrc-de %D/etc/xneur/xneurrc-de.dist; then rm -f %D/etc/xneur/xneurrc-de; fi
+etc/xneur/xneurrc-de.dist
+@exec   if [ ! -f %D/etc/xneur/xneurrc-de ] ; then cp -p %D/%F %B/xneurrc-de; fi
+@unexec if cmp -s %D/etc/xneur/xneurrc-kz %D/etc/xneur/xneurrc-kz.dist; then rm -f %D/etc/xneur/xneurrc-kz; fi
+etc/xneur/xneurrc-kz.dist
+@exec   if [ ! -f %D/etc/xneur/xneurrc-kz ] ; then cp -p %D/%F %B/xneurrc-kz; fi
 @unexec if cmp -s %D/etc/xneur/xneurrc %D/etc/xneur/xneurrc.dist; then rm -f %D/etc/xneur/xneurrc; fi
 etc/xneur/xneurrc.dist
 @exec	if [ ! -f %D/etc/xneur/xneurrc ] ; then cp -p %D/%F %B/xneurrc; fi
@@ -95,7 +13,6 @@
 @exec   if [ ! -f %D/etc/xneur/xneurrc-be ] ; then cp -p %D/%F %B/xneurrc-be; fi
 @unexec if cmp -s %D/etc/xneur/xneurrc-uk %D/etc/xneur/xneurrc-uk.dist; then rm -f %D/etc/xneur/xneurrc-uk; fi
 etc/xneur/xneurrc-uk.dist
-@exec   if [ ! -f %D/etc/xneur/xneurrc-uk ] ; then cp -p %D/%F %B/xneurrc-uk; fi
 @unexec if cmp -s %D/etc/xneur/xneurrc-ro %D/etc/xneur/xneurrc-ro.dist; then rm -f %D/etc/xneur/xneurrc-ro; fi
 etc/xneur/xneurrc-ro.dist
 @exec   if [ ! -f %D/etc/xneur/xneurrc-ro ] ; then cp -p %D/%F %B/xneurrc-ro; fi
@@ -105,15 +22,75 @@
 include/xneur/xnconfig.h
 include/xneur/list_char.h
 lib/xneur/libxnconfig.la
-lib/xneur/libxnconfig.so.0
+lib/xneur/libxnconfig.so.9
 lib/xneur/libxnconfig.so
 libdata/pkgconfig/xnconfig.pc
 @dirrm lib/xneur
 @dirrm include/xneur
-@dirrmtry etc/xneur/ru
-@dirrmtry etc/xneur/uk
-@dirrmtry etc/xneur/be
-@dirrmtry etc/xneur/en
-@dirrmtry etc/xneur/ro
-@dirrmtry etc/xneur/fr
 @dirrmtry etc/xneur
+%%DATADIR%%/sounds/layout1.wav
+%%DATADIR%%/sounds/layout2.wav
+%%DATADIR%%/sounds/layout1type.wav
+%%DATADIR%%/sounds/layout2type.wav
+%%DATADIR%%/sounds/replace.wav
+%%DATADIR%%/sounds/switch.wav
+%%DATADIR%%/sounds/itemback.wav
+@dirrm %%DATADIR%%/sounds
+%%DATADIR%%/pixmaps/Russian.xpm
+%%DATADIR%%/pixmaps/Ukrainian.xpm
+%%DATADIR%%/pixmaps/English.xpm
+%%DATADIR%%/pixmaps/Belarusian.xpm
+%%DATADIR%%/pixmaps/French.xpm
+%%DATADIR%%/pixmaps/Romanian.xpm
+%%DATADIR%%/pixmaps/Kazakh.xpm
+%%DATADIR%%/pixmaps/German.xpm
+@dirrm %%DATADIR%%/pixmaps
+%%DATADIR%%/en/dict
+%%DATADIR%%/en/proto
+%%DATADIR%%/en/proto3
+%%DATADIR%%/en/langdef
+%%DATADIR%%/en/regexp
+@dirrm %%DATADIR%%/en
+%%DATADIR%%/uk/dict
+%%DATADIR%%/uk/proto
+%%DATADIR%%/uk/proto3
+%%DATADIR%%/uk/langdef
+%%DATADIR%%/uk/regexp
+@dirrm %%DATADIR%%/uk
+%%DATADIR%%/ru/dict
+%%DATADIR%%/ru/proto
+%%DATADIR%%/ru/proto3
+%%DATADIR%%/ru/langdef
+%%DATADIR%%/ru/regexp
+@dirrm %%DATADIR%%/ru
+%%DATADIR%%/be/dict
+%%DATADIR%%/be/proto
+%%DATADIR%%/be/proto3
+%%DATADIR%%/be/langdef
+%%DATADIR%%/be/regexp
+@dirrm %%DATADIR%%/be
+%%DATADIR%%/fr/dict
+%%DATADIR%%/fr/proto
+%%DATADIR%%/fr/proto3
+%%DATADIR%%/fr/langdef
+%%DATADIR%%/fr/regexp
+@dirrm %%DATADIR%%/fr
+%%DATADIR%%/kz/dict
+%%DATADIR%%/kz/proto
+%%DATADIR%%/kz/proto3
+%%DATADIR%%/kz/langdef
+%%DATADIR%%/kz/regexp
+@dirrm %%DATADIR%%/kz
+%%DATADIR%%/ro/dict
+%%DATADIR%%/ro/proto
+%%DATADIR%%/ro/proto3
+%%DATADIR%%/ro/langdef
+%%DATADIR%%/ro/regexp
+@dirrm %%DATADIR%%/ro
+%%DATADIR%%/de/dict
+%%DATADIR%%/de/proto
+%%DATADIR%%/de/proto3
+%%DATADIR%%/de/langdef
+%%DATADIR%%/de/regexp
+@dirrm %%DATADIR%%/de
+@dirrm %%DATADIR%%
